import { SqlDatabase, ValueTransformer } from 'sqlite3orm';
declare class Sqlite3Connector {
}
export interface Sqlite3TransactionOptions {
    connection: SqlDatabase;
    connector: Sqlite3Connector;
}
export interface Sqlite3ExecuteOptions {
    transaction?: Sqlite3TransactionOptions;
}
export interface Sqlite3ModelOptions {
    tableName?: string;
    withoutRowId?: boolean;
}
export interface Sqlite3PropertyOptions {
    columnName?: string;
    dbtype?: string;
    isJson?: boolean;
    dateInMilliSeconds?: boolean;
    transform?: ValueTransformer;
    [key: string]: any;
}
export interface Sqlite3ForeignKeyOptions {
    properties: string;
    refTable: string;
    refColumns: string;
}
export {};
