"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function capitalize(input) {
    return !input ? input : input.charAt(0).toUpperCase() + input.slice(1).toLowerCase();
}
exports.capitalize = capitalize;
function CamelCase(input) {
    return input
        .split(/[-_]+/)
        .map((part) => capitalize(part))
        .join('');
}
exports.CamelCase = CamelCase;
function camelCase(input) {
    return input
        .split(/[-_]+/)
        .map((part, idx) => (idx ? capitalize(part) : part.toLowerCase()))
        .join('');
}
exports.camelCase = camelCase;
//# sourceMappingURL=string-utils.js.map